libdata-formvalidator-perl_4.81-2_all.deb


Advertisement

Description

libdata-formvalidator-perl - module to validate user input, mainly for HTML forms

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: libdata-formvalidator-perl
Package version: 4.81
Package release: 2
Package architecture: all
Package type: deb
Installed size: 251 B
Download size: 92.15 KB
Official Mirror: ftp.br.debian.org
Data::FormValidator is a Perl module that presents users template-generated forms that can be automatically validated later. It lets you define profiles which declare required an optional fields, as well as any field constraints. Results are provided as an object, which makes it easy to handle missing and invalid results, return error messages, or process valid data.

Alternatives

    Download

    Source package: libdata-formvalidator-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libdata-formvalidator-perl deb package:
      # sudo apt-get install libdata-formvalidator-perl

    Files

    • /usr/share/doc/libdata-formvalidator-perl/RELEASE_NOTES.gz
    • /usr/share/doc/libdata-formvalidator-perl/changelog.Debian.gz
    • /usr/share/doc/libdata-formvalidator-perl/changelog.gz
    • /usr/share/doc/libdata-formvalidator-perl/copyright
    • /usr/share/man/man3/Data::FormValidator.3pm.gz
    • /usr/share/man/man3/Data::FormValidator::Constraints.3pm.gz
    • /usr/share/man/man3/Data::FormValidator::Constraints::Dates.3pm.gz
    • /usr/share/man/man3/Data::FormValidator::Constraints::Upload.3pm.gz
    • /usr/share/man/man3/Data::FormValidator::ConstraintsFactory.3pm.gz
    • /usr/share/man/man3/Data::FormValidator::Filters.3pm.gz
    • /usr/share/man/man3/Data::FormValidator::Results.3pm.gz
    • /usr/share/perl5/Data/FormValidator.pm
    • /usr/share/perl5/Data/FormValidator/Constraints.pm
    • /usr/share/perl5/Data/FormValidator/ConstraintsFactory.pm
    • /usr/share/perl5/Data/FormValidator/Filters.pm
    • /usr/share/perl5/Data/FormValidator/Results.pm
    • /usr/share/perl5/Data/FormValidator/Constraints/Dates.pm
    • /usr/share/perl5/Data/FormValidator/Constraints/Upload.pm

    Changelog

    2014-07-22 - gregor herrmann <gregoa@debian.org> libdata-formvalidator-perl (4.81-2) unstable; urgency=medium * Strip trailing slash from metacpan URLs. * Adjust CGI.pm build dependency to deprecation in perl core. * Update years of packaging copyright. * Declare compliance with Debian Policy 3.9.5.

    2013-07-23 - Xavier Guimard <x.guimard@free.fr> libdata-formvalidator-perl (4.81-1) unstable; urgency=low [ Salvatore Bonaccorso ] * Change Vcs-Git to canonical URI (git://anonscm.debian.org) * Change search.cpan.org based URIs to metacpan.org based URIs [ Xavier Guimard ] * Imported Upstream version 4.81 * Update debian/copyright years

    2012-12-20 - Xavier Guimard <x.guimard@free.fr> libdata-formvalidator-perl (4.80-1) unstable; urgency=low [ gregor herrmann ] * debian/control: update {versioned,alternative} (build) dependencies. [ Xavier Guimard ] * Imported Upstream version 4.80 * Bump Standards-Version to 3.9.4 * Update debian/copyright (years and format) * Add libmodule-build-perl and version for libcgi-pm-perl in dependencies

    2011-11-25 - gregor herrmann <gregoa@debian.org> libdata-formvalidator-perl (4.70-1) unstable; urgency=low [ Ansgar Burchardt ] * debian/control: Convert Vcs-* fields to Git. [ Salvatore Bonaccorso ] * debian/copyright: Replace DEP5 Format-Specification URL from svn.debian.org to anonscm.debian.org URL. [ gregor herrmann ] * New upstream release. * Refresh fix-re-when-untainting.patch (offset). * debian/copyright: updates in formatting and list of debian/* contributors.

    2011-06-07 - Damyan Ivanov <dmn@debian.org> libdata-formvalidator-perl (4.66-3) unstable; urgency=low * add a patch fixing a possible passing of invalid data in untaint mode Closes: #629511 * Claim conformance with Policy 3.9.2 (no changes)

    2011-03-05 - Russ Allbery <rra@debian.org> libdata-formvalidator-perl (4.66-2) unstable; urgency=low [ Russ Allbery ] * Team upload. * Downgrade Date::Calc to Recommends from Depends. It is required for the Data::FormValidator::Constraints::Dates constraint, but an alternative Data::FormValidator::Constraints::DateTime constraint is available based on DateCalc and use of that constraint is optional. Thanks, Nicholas Bamber. (Closes: #608849) * Remove myself from Uploaders. * Update debhelper compatibility level to V8. * Change Debian source package format to 3.0 (quilt). * Use unqualified docs control file for debhelper since this source package only builds one binary package. * Remove versioned perl dependency satisfied by oldstable. * Merge Build-Depends and Build-Depends-Indep. The separation is pointless for a source package that builds only arch-independent binary packages. * Fix debian/copyright reference to point to GPLv1 now that it's part of common-licenses. * Update standards version to 3.9.1 (no changes required). [ Ansgar Burchardt ] * Update my email address.

    2010-03-06 - gregor herrmann <gregoa@debian.org> libdata-formvalidator-perl (4.66-1) unstable; urgency=low [ Jonathan Yu ] * New upstream release * Remove POD spelling patch, applied upstream * Standards-Version 3.8.4 (no changes)

    2009-12-31 - Jonathan Yu <jawnsy@cpan.org> libdata-formvalidator-perl (4.65-1) unstable; urgency=low [ Jonathan Yu ] * New upstream release * Add myself to Copyright and Uploaders * Standards-Version 3.8.3 (no changes) * Drop unnecessary version dependencies * Rewrote control description * Use new short debhelper rules format * Add patch to fix POD typos [ Nathan Handler ] * debian/watch: Update to ignore development releases. [ gregor herrmann ] * debian/control: Changed: (build-)depend on perl instead of perl- modules.

    Advertisement
    Advertisement